Index: data/trunk/AUTHORS
===================================================================
--- data/trunk/AUTHORS	(revision 7124)
+++ data/trunk/AUTHORS	(revision 7145)
@@ -102,4 +102,6 @@
 gui/imagesets/Imageset.xsd                                  unknown
 gui/imagesets/MainMenuBackground.imageset                   Benjamin Knecht
+gui/imagesets/pickup.tga                                    Damian Frick
+gui/imagesets/PickupInventory.imageset                      Damian Frick
 gui/imagesets/sleekspace.imageset                           Seth Yastrov
 gui/imagesets/sleekspace.png                                Seth Yastrov
@@ -153,11 +155,16 @@
 materials/programs/ToonShader_ps.frag                       Stefan Lienhard
 materials/programs/ToonShader_vs.vert                       Stefan Lienhard
+materials/scripts/3arrowsup.material                        unknown
 materials/scripts/Arrow.material                            Damian Frick
+materials/scripts/assf.material                             unknown
 materials/scripts/assf5.material                            Nicolas Schlumberger 
 materials/scripts/assff.material                            Felix Schulthess
 materials/scripts/assf.material                             Nicolas Schlumberger
 materials/scripts/Asterix.material                          Damian Frick
+materials/scripts/asterois_ice.material                     unknown
 materials/scripts/asteroids.material                        Felix Schulthess
+materials/scripts/asteroid_y.material                       unknown
 materials/scripts/axes.material                             Felix Schulthess
+materials/scripts/Banners.material                          unknown
 materials/scripts/BlackAndWhite.material                    unknown
 materials/scripts/Bloom.material                            unknown
@@ -178,5 +185,7 @@
 materials/scripts/Examples.compositor                       unknown
 materials/scripts/Examples.program                          unknown
+materials/scripts/Eye.material                              unknown
 materials/scripts/Flares.material                           unknown
+materials/scripts/ghost.material                            unknown
 materials/scripts/Glass.material                            unknown
 materials/scripts/h2_green.material                         David Gassner
@@ -184,6 +193,9 @@
 materials/scripts/hoover.material                           unknown
 materials/scripts/hs-w01.material                           Hagen Seifert
+materials/scripts/hs_w01_reduced.material                   unknown
 materials/scripts/hs-w01s.material                          Hagen Seifert
 materials/scripts/iceplanet.material                        Marian Runo
+materials/scripts/HXY.material                              unknown
+materials/scripts/iceplanet.material                        unknown
 materials/scripts/Invert.material                           unknown
 materials/scripts/jumpthrust.material                       Felix Schulthess
@@ -208,7 +220,9 @@
 materials/scripts/RadialBlur.material                       unknown
 materials/scripts/rock.material                             Janis Edelmann
+materials/scripts/rocket.material                           unknown
 materials/scripts/satellite.material                        Felix Schulthess
 materials/scripts/Shaders.compositor                        unknown
 materials/scripts/SharpenEdges.material                     unknown
+materials/scripts/Shield.material                           unknown
 materials/scripts/spacecruiser_16.material                  Felix Schulthess
 materials/scripts/spacecruiser.material                     Tim Widmer
@@ -217,4 +231,6 @@
 materials/scripts/Stats.material                            Benjamin Hildebrandt
 materials/scripts/StdQuad_vp.program                        unknown
+materials/scripts/swallow_material.material                 unknown
+materials/scripts/Test.material                             unknown
 materials/scripts/Tiling.material                           unknown
 materials/scripts/tomato.material                           Felix Schulthess
@@ -222,167 +238,208 @@
 materials/scripts/Trail.material                            Fabian 'x3n' Landau
 materials/scripts/Transparency.material                     unknown
+materials/scripts/Transporter.material                      unknown
 materials/scripts/UEATransporter036.material                Axel Bomhauer-Beins
 materials/scripts/wrench.material                           Benjamin Knecht
+materials/textures/3arrowsup.tga                            unknown
 materials/textures/arrow.tga                                Damian Frick
-materials/textures/arrows.tga                    
-materials/textures/assff.JPG         
-materials/textures/asterix.tga                              Damian Frick            
-materials/textures/atmosphere.png                
-materials/textures/atmospheretype1.tga           
-materials/textures/atmospheretype2.tga           
-materials/textures/atmospheretype3.tga                   
-materials/textures/atmospheretype4.tga           
-materials/textures/atmospheretype5.tga           
-materials/textures/babel-base2.jpg               
-materials/textures/babel-trim3b.jpg              
-materials/textures/babel-wall1a.jpg              
-materials/textures/babel-wall1b.jpg              
-materials/textures/babel-wall6a.jpg              
-materials/textures/babel-wall6b.jpg              
-materials/textures/backGround.tga                
-materials/textures/backlightflare.tga            
-materials/textures/backlighttrail.tga            
-materials/textures/bar1.tga                      
-materials/textures/bar2a.tga                     
-materials/textures/bar2b.tga                     
-materials/textures/bar2c.tga                     
-materials/textures/bar2.tga                      
-materials/textures/bigflame.tga                  
-materials/textures/bigflare1.tga                 
-materials/textures/can.tga                       
-materials/textures/CockpitGlass.jpg              
-materials/textures/CockpitNose.jpg               
-materials/textures/CockpitSide.png               
-materials/textures/console2.tga                  
-materials/textures/console3.tga                  
-materials/textures/console4.tga                  
-materials/textures/console5.tga                  
-materials/textures/crate.tga            
-materials/textures/cross.tga                                 Damian Frick
-materials/textures/crosshair2.tga                
-materials/textures/crosshair.tga                 
-materials/textures/CuboidConnectionBodySide.jpg  
-materials/textures/CuboidConnectionBodyTop.jpg   
-materials/textures/cursor_console.tga            
-materials/textures/cursor.tga                    
-materials/textures/decal.jpg                     
-materials/textures/dirt01.jpg              
-materials/textures/Dirt.jpg                
-materials/textures/dish.jpg                
-materials/textures/drone.tga               
-materials/textures/DuBall1.jpg             
-materials/textures/DuBall2.jpg             
-materials/textures/explosion3.tga          
-materials/textures/explosion.tga           
-materials/textures/final_gold.tga          
-materials/textures/flare2_1.tga            
-materials/textures/flare2.tga              
-materials/textures/flare.tga               
-materials/textures/flaretrail.tga          
-materials/textures/glass01.jpg             
-materials/textures/glass02.jpg             
-materials/textures/GLX_icon.png            
-materials/textures/GLX_icon.tga            
-materials/textures/goldwrenchpickup.jpg    
-materials/textures/GreenSkin.jpg           
-materials/textures/healthbar_bar.tga       
-materials/textures/healthbar_bg.tga        
-materials/textures/hs-w01s.tga             
-materials/textures/hs-w01.tga              
-materials/textures/iceplanet.tga           
-materials/textures/io.jpg                  
-materials/textures/jumpturbinepickup.jpg   
-materials/textures/jupiter.jpg             
-materials/textures/jupiter.tga             
-materials/textures/laserbeam.tga           
-materials/textures/LightningBall_1.tga     
-materials/textures/LightningBall_2.tga     
-materials/textures/LightningBall_3.tga     
-materials/textures/LightningBall_4.tga     
-materials/textures/LightningBall_5.tga     
-materials/textures/LightningBall_6.tga     
-materials/textures/LightningBall_7.tga     
-materials/textures/LightningBall_8.tga     
-materials/textures/Lightning_gun4.tga      
-materials/textures/Lightning_gun_pic2.tga  
-materials/textures/LightningGun.tga        
-materials/textures/main_menu_1.jpg         
-materials/textures/mapgrid.tga             
-materials/textures/MetalEdge.jpg           
-materials/textures/ogrelogo-small.jpg      
-materials/textures/ogrelogo.tga            
-materials/textures/OrxonoxBlack.tga
-materials/textures/OrxonoxGREEN.tga        
-materials/textures/orxonox_logo.svg        
-materials/textures/OrxonoxORANGE.tga       
-materials/textures/OrxonoxRED.tga          
-materials/textures/OrxonoxYELLOW.tga       
-materials/textures/pirate.jpg              
-materials/textures/planet.jpg              
-materials/textures/RadarDot.tga            
-materials/textures/RadarSquare.tga         
-materials/textures/radar.tga               
-materials/textures/RadarTriangle.tga       
-materials/textures/ring_flare2.tga         
-materials/textures/ring_flare.tga          
-materials/textures/rock.tga                
-materials/textures/rust.tga                
-materials/textures/RustySteel.jpg          
-materials/textures/sample_loading.jpg      
-materials/textures/Sepia1D.tga             
-materials/textures/sewer_001.png           
-materials/textures/skypanoramagen1_bk.jpg  
-materials/textures/skypanoramagen1_dn.jpg  
-materials/textures/skypanoramagen1_fr.jpg  
-materials/textures/skypanoramagen1_lf.jpg  
-materials/textures/skypanoramagen1_rt.jpg  
-materials/textures/skypanoramagen1_up.jpg  
-materials/textures/skypanoramagen2_bk.jpg  
-materials/textures/skypanoramagen2_dn.jpg  
-materials/textures/skypanoramagen2_fr.jpg  
-materials/textures/skypanoramagen2_lf.jpg  
-materials/textures/skypanoramagen2_rt.jpg  
-materials/textures/skypanoramagen2_up.jpg  
-materials/textures/sl_floor01.jpg          
-materials/textures/sl_floor02.jpg          
-materials/textures/sl_floor03.jpg          
-materials/textures/sl_foil.jpg
-materials/textures/sl_hull01.jpg
-materials/textures/sl_hull02.jpg
-materials/textures/sl_hull03.jpg
-materials/textures/sl_hull04.jpg
-materials/textures/sl_metal02.jpg
-materials/textures/sl_metal03.jpg
-materials/textures/sl_metal04.jpg
-materials/textures/sl_metal05.jpg
-materials/textures/sl_metal06.jpg
-materials/textures/sl_metal07.jpg
-materials/textures/sl_metal.jpg
-materials/textures/sl_organic01.jpg
-materials/textures/sl_organic02.jpg
-materials/textures/sl_organic03.jpg
-materials/textures/sl_organic04.jpg
-materials/textures/sl_panel.jpg
-materials/textures/smoke2.tga
-materials/textures/smoke3.tga
-materials/textures/smokecolors.tga
-materials/textures/smoke.tga
-materials/textures/snowyWhite.jpg
-materials/textures/spacecruiser_16.jpg
-materials/textures/sphere.tga                                     Damian Frick
-materials/textures/SpaceShipTransporter036_engine.jpg
-materials/textures/SpaceShipTransporter036_newtexture.jpg   
-materials/textures/spacesruiser.tga
-materials/textures/starbox_bk.jpg
-materials/textures/starbox_dn.jpg
-materials/textures/starbox_fr.jpg
-materials/textures/starbox_lf.jpg
-materials/textures/starbox_rt.jpg
-materials/textures/starbox_up.jpg
-materials/textures/starship.tga
-materials/textures/streak.tga
-materials/textures/tdc.tga
-materials/textures/thrust.jpg
-materials/textures/tiled_floor.jpg
-materials/textures/wall01.jpg
-materials/textures/white.tga
+materials/textures/arrows.tga                               unknown
+materials/textures/assff.JPG                                unknown
+materials/textures/asterix.tga                              Damian Frick
+materials/textures/asteroid.tga                             unknown
+materials/textures/asteroid_ice.tga                         unknown
+materials/textures/atmosphere.png                           unknown
+materials/textures/atmospheretype1.tga                      unknown
+materials/textures/atmospheretype2.tga                      unknown
+materials/textures/atmospheretype3.tga                      unknown
+materials/textures/atmospheretype4.tga                      unknown
+materials/textures/atmospheretype5.tga                      unknown
+materials/textures/babel-base2.jpg                          unknown
+materials/textures/babel-trim3b.jpg                         unknown
+materials/textures/babel-wall1a.jpg                         unknown
+materials/textures/babel-wall1b.jpg                         unknown
+materials/textures/babel-wall6a.jpg                         unknown
+materials/textures/babel-wall6b.jpg                         unknown
+materials/textures/backGround.tga                           unknown
+materials/textures/backlightflare.tga                       unknown
+materials/textures/backlighttrail.tga                       unknown
+materials/textures/backlighttrail2.tga                      unknown
+materials/textures/bar1.tga                                 unknown
+materials/textures/bar2a.tga                                unknown
+materials/textures/bar2b.tga                                unknown
+materials/textures/bar2c.tga                                unknown
+materials/textures/bar2.tga                                 unknown
+materials/textures/bigflame.tga                             unknown
+materials/textures/bigflare1.tga                            unknown
+materials/textures/can.tga                                  unknown
+materials/textures/centeroverlay.png                        unknown
+materials/textures/clouds.png                               unknown
+materials/textures/CockpitGlass.jpg                         unknown
+materials/textures/CockpitNose.jpg                          unknown
+materials/textures/CockpitSide.png                          unknown
+materials/textures/console2.tga                             unknown
+materials/textures/console3.tga                             unknown
+materials/textures/console4.tga                             unknown
+materials/textures/console5.tga                             unknown
+materials/textures/crate.tga                                unknown
+materials/textures/cross.tga                                Damian Frick
+materials/textures/crosshair.tga                            unknown
+materials/textures/crosshair2.tga                           unknown
+materials/textures/crosshair3.png                           unknown
+materials/textures/CuboidConnectionBodySide.jpg             unknown
+materials/textures/CuboidConnectionBodyTop.jpg              unknown
+materials/textures/cursor_console.tga                       unknown
+materials/textures/cursor.tga                               unknown
+materials/textures/damageoverlaybottom.png                  unknown
+materials/textures/damageoverlayleft.png                    unknown
+materials/textures/damageoverlayright.png                   unknown
+materials/textures/damageoverlaytop.png                     unknown
+materials/textures/decal.jpg                                unknown
+materials/textures/directionarrows                          unknown
+materials/textures/directionarrows1                         unknown
+materials/textures/directionarrows2                         unknown
+materials/textures/directionarrows3                         unknown
+materials/textures/directionarrows4                         unknown
+materials/textures/dirt01.jpg                               unknown
+materials/textures/Dirt.jpg                                 unknown
+materials/textures/dish.jpg                                 unknown
+materials/textures/drone.tga                                unknown
+materials/textures/Drone.png                                unknown
+materials/textures/DuBall1.jpg                              unknown
+materials/textures/DuBall2.jpg                              unknown
+materials/textures/explosion3.tga                           unknown
+materials/textures/explosion.tga                            unknown
+materials/textures/eye.tga                                  unknown
+materials/textures/final_gold.tga                           unknown
+materials/textures/flare2_1.tga                             unknown
+materials/textures/flare2.tga                               unknown
+materials/textures/flare.tga                                unknown
+materials/textures/flare3.tga                               unknown
+materials/textures/flaretrail.tga                           unknown
+materials/textures/Formation.png                            unknown
+ghost_complete-texture_Cube.jpg                             unknown
+materials/textures/glass01.jpg                              unknown
+materials/textures/glass02.jpg                              unknown
+materials/textures/GLX_icon.png                             unknown
+materials/textures/GLX_icon.tga                             unknown
+materials/textures/goldwrenchpickup.jpg                     unknown
+materials/textures/GreenSkin.jpg                            unknown
+materials/textures/healthbar_bar.tga                        unknown
+materials/textures/healthbar_bg.tga                         unknown
+materials/textures/hs-w01s.tga                              unknown
+materials/textures/hs-w01.tga                               unknown
+materials/textures/hs-w01_reduced.png                       unknown
+materials/textures/iceplanet.tga                            unknown
+materials/textures/jumpturbinepickup.jpg                    unknown
+materials/textures/laserbeam.tga                            unknown
+materials/textures/LightningBall_1.tga                      unknown
+materials/textures/LightningBall_2.tga                      unknown
+materials/textures/LightningBall_3.tga                      unknown
+materials/textures/LightningBall_4.tga                      unknown
+materials/textures/LightningBall_5.tga                      unknown
+materials/textures/LightningBall_6.tga                      unknown
+materials/textures/LightningBall_7.tga                      unknown
+materials/textures/LightningBall_8.tga                      unknown
+materials/textures/Lightning_gun4.tga                       unknown
+materials/textures/Lightning_gun_pic2.tga                   unknown
+materials/textures/LightningGun.tga                         unknown
+materials/textures/main_menu_1.jpg                          unknown
+materials/textures/mapgrid.tga                              unknown
+materials/textures/MetalBare.jpg                            unknown
+materials/textures/MetalBase0020_thumbhuge.jpg              unknown
+materials/textures/MetalBase0030_thumbhuge.jpg              unknown
+materials/textures/MetalEdge.jpg                            unknown
+materials/textures/ogrelogo-small.jpg                       unknown
+materials/textures/ogrelogo.tga                             unknown
+materials/textures/OrxonoxBlack.tga                         unknown
+materials/textures/OrxonoxGREEN.tga                         unknown
+materials/textures/orxonox_logo.svg                         unknown
+materials/textures/OrxonoxORANGE.tga                        unknown
+materials/textures/OrxonoxRED.tga                           unknown
+materials/textures/OrxonoxYELLOW.tga                        unknown
+materials/textures/Pickups.tga                              unknown
+materials/textures/pirate.jpg                               unknown
+materials/textures/planet.jpg                               unknown
+materials/textures/PlasmaAufh_Aufh.jpg                      unknown
+materials/textures/PlasmaBlau.jpg                           unknown
+materials/textures/plasmagunParabol_Cylinder002.jpg         unknown
+materials/textures/plasmaSilverTube.jpg                     unknown
+materials/textures/plasmaSilverTube.tga                     unknown
+materials/textures/PSO1024.jpg                              unknown
+materials/textures/RadarDot.tga                             unknown
+materials/textures/RadarSquare.tga                          unknown
+materials/textures/radar.tga                                unknown
+materials/textures/RadarTriangle.tga                        unknown
+materials/textures/ring_flare2.tga                          unknown
+materials/textures/ring_flare.tga                           unknown
+materials/textures/rock.tga                                 unknown
+materials/textures/rockettex.jpg                            unknown
+materials/textures/rust.tga                                 unknown
+materials/textures/RustySteel.jpg                           unknown
+materials/textures/sample_loading.jpg                       unknown
+materials/textures/Sepia1D.tga                              unknown
+materials/textures/sewer_001.png                            unknown
+materials/textures/shield.tga                               unknown
+materials/textures/skypanoramagen1_bk.jpg                   unknown
+materials/textures/skypanoramagen1_dn.jpg                   unknown
+materials/textures/skypanoramagen1_fr.jpg                   unknown
+materials/textures/skypanoramagen1_lf.jpg                   unknown
+materials/textures/skypanoramagen1_rt.jpg                   unknown
+materials/textures/skypanoramagen1_up.jpg                   unknown
+materials/textures/skypanoramagen2_bk.jpg                   unknown
+materials/textures/skypanoramagen2_dn.jpg                   unknown
+materials/textures/skypanoramagen2_fr.jpg                   unknown
+materials/textures/skypanoramagen2_lf.jpg                   unknown
+materials/textures/skypanoramagen2_rt.jpg                   unknown
+materials/textures/skypanoramagen2_up.jpg                   unknown
+materials/textures/sl_floor01.jpg                           unknown
+materials/textures/sl_floor02.jpg                           unknown
+materials/textures/sl_floor03.jpg                           unknown
+materials/textures/sl_foil.jpg                              unknown
+materials/textures/sl_hull01.jpg                            unknown
+materials/textures/sl_hull02.jpg                            unknown
+materials/textures/sl_hull03.jpg                            unknown
+materials/textures/sl_hull04.jpg                            unknown
+materials/textures/sl_metal02.jpg                           unknown
+materials/textures/sl_metal03.jpg                           unknown
+materials/textures/sl_metal04.jpg                           unknown
+materials/textures/sl_metal05.jpg                           unknown
+materials/textures/sl_metal06.jpg                           unknown
+materials/textures/sl_metal07.jpg                           unknown
+materials/textures/sl_metal.jpg                             unknown
+materials/textures/sl_organic01.jpg                         unknown
+materials/textures/sl_organic02.jpg                         unknown
+materials/textures/sl_organic03.jpg                         unknown
+materials/textures/sl_organic04.jpg                         unknown
+materials/textures/sl_panel.jpg                             unknown
+materials/textures/smoke2.tga                               unknown
+materials/textures/smoke3.tga                               unknown
+materials/textures/smoke4.tga                               unknown
+materials/textures/smokecolors.tga                          unknown
+materials/textures/smoke.tga                                unknown
+materials/textures/snowyWhite.jpg                           unknown
+materials/textures/spacecruiser_16.jpg                      unknown
+materials/textures/Spaceshipbody.jpg                        unknown
+materials/textures/SpaceShipTransporter036_engine.jpg       unknown
+materials/textures/SpaceShipTransporter036_newtexture.jpg   unknown
+materials/textures/SpaceshipWings.jpg                       unknown
+materials/textures/spacesruiser.tga                         unknown
+materials/textures/sphere.tga                               Damian Frick
+materials/textures/starbox_bk.jpg                           unknown
+materials/textures/starbox_dn.jpg                           unknown
+materials/textures/starbox_fr.jpg                           unknown
+materials/textures/starbox_lf.jpg                           unknown
+materials/textures/starbox_rt.jpg                           unknown
+materials/textures/starbox_up.jpg                           unknown
+materials/textures/starship.tga                             unknown
+materials/textures/stockstealth.jpeg                        unknown
+materials/textures/streak.tga                               unknown
+materials/textures/swallow_tex.tga                          unknown
+materials/textures/tdc.tga                                  unknown
+materials/textures/texture.jpg                              unknown
+materials/textures/thrust.jpg                               unknown
+materials/textures/tiled_floor.jpg                          unknown
+materials/textures/transporter5Fluegel_Cube.jpg             unknown
+materials/textures/transporter5Huelle-Cube.001.jpg          unknown
+materials/textures/Triebwerk1_Cylinder.jpg                  unknown
+materials/textures/wall01.jpg                               unknown
+materials/textures/white.tga                                unknown