Index: /data/trunk/AUTHORS
===================================================================
--- /data/trunk/AUTHORS	(revision 7145)
+++ /data/trunk/AUTHORS	(revision 7146)
@@ -102,6 +102,6 @@
 gui/imagesets/Imageset.xsd                                  unknown
 gui/imagesets/MainMenuBackground.imageset                   Benjamin Knecht
-gui/imagesets/pickup.tga                                    Damian Frick
-gui/imagesets/PickupInventory.imageset                      Damian Frick
+gui/imagesets/pickup.tga                                    Damian Frick, Eric Beier and Benedict Simlinger
+gui/imagesets/PickupInventory.imageset                      Damian Frick, Eric Beier and Benedict Simlinger
 gui/imagesets/sleekspace.imageset                           Seth Yastrov
 gui/imagesets/sleekspace.png                                Seth Yastrov
@@ -155,5 +155,5 @@
 materials/programs/ToonShader_ps.frag                       Stefan Lienhard
 materials/programs/ToonShader_vs.vert                       Stefan Lienhard
-materials/scripts/3arrowsup.material                        unknown
+materials/scripts/3arrowsup.material                        Eric Beier and Benedict Simlinger
 materials/scripts/Arrow.material                            Damian Frick
 materials/scripts/assf.material                             unknown
@@ -166,5 +166,5 @@
 materials/scripts/asteroid_y.material                       unknown
 materials/scripts/axes.material                             Felix Schulthess
-materials/scripts/Banners.material                          unknown
+materials/scripts/Banners.material                          Benjamin de Capitani
 materials/scripts/BlackAndWhite.material                    unknown
 materials/scripts/Bloom.material                            unknown
@@ -185,5 +185,5 @@
 materials/scripts/Examples.compositor                       unknown
 materials/scripts/Examples.program                          unknown
-materials/scripts/Eye.material                              unknown
+materials/scripts/Eye.material                              Eric Beier and Benedict Simlinger
 materials/scripts/Flares.material                           unknown
 materials/scripts/ghost.material                            unknown
@@ -193,5 +193,5 @@
 materials/scripts/hoover.material                           unknown
 materials/scripts/hs-w01.material                           Hagen Seifert
-materials/scripts/hs_w01_reduced.material                   unknown
+materials/scripts/hs_w01_reduced.material                   Benjamin de Capitani
 materials/scripts/hs-w01s.material                          Hagen Seifert
 materials/scripts/iceplanet.material                        Marian Runo
@@ -224,5 +224,5 @@
 materials/scripts/Shaders.compositor                        unknown
 materials/scripts/SharpenEdges.material                     unknown
-materials/scripts/Shield.material                           unknown
+materials/scripts/Shield.material                           Eric Beier and Benedict Simlinger
 materials/scripts/spacecruiser_16.material                  Felix Schulthess
 materials/scripts/spacecruiser.material                     Tim Widmer
@@ -231,5 +231,5 @@
 materials/scripts/Stats.material                            Benjamin Hildebrandt
 materials/scripts/StdQuad_vp.program                        unknown
-materials/scripts/swallow_material.material                 unknown
+materials/scripts/swallow_material.material                 David Gassner
 materials/scripts/Test.material                             unknown
 materials/scripts/Tiling.material                           unknown
@@ -241,5 +241,5 @@
 materials/scripts/UEATransporter036.material                Axel Bomhauer-Beins
 materials/scripts/wrench.material                           Benjamin Knecht
-materials/textures/3arrowsup.tga                            unknown
+materials/textures/3arrowsup.tga                            Eric Beier and Benedict Simlinger
 materials/textures/arrow.tga                                Damian Frick
 materials/textures/arrows.tga                               unknown
@@ -263,5 +263,5 @@
 materials/textures/backlightflare.tga                       unknown
 materials/textures/backlighttrail.tga                       unknown
-materials/textures/backlighttrail2.tga                      unknown
+materials/textures/backlighttrail2.tga                      David Gassner
 materials/textures/bar1.tga                                 unknown
 materials/textures/bar2a.tga                                unknown
@@ -290,8 +290,8 @@
 materials/textures/cursor_console.tga                       unknown
 materials/textures/cursor.tga                               unknown
-materials/textures/damageoverlaybottom.png                  unknown
-materials/textures/damageoverlayleft.png                    unknown
-materials/textures/damageoverlayright.png                   unknown
-materials/textures/damageoverlaytop.png                     unknown
+materials/textures/damageoverlaybottom.png                  Michael Wirth
+materials/textures/damageoverlayleft.png                    Michael Wirth
+materials/textures/damageoverlayright.png                   Michael Wirth
+materials/textures/damageoverlaytop.png                     Michael Wirth
 materials/textures/decal.jpg                                unknown
 materials/textures/directionarrows                          unknown
@@ -304,17 +304,17 @@
 materials/textures/dish.jpg                                 unknown
 materials/textures/drone.tga                                unknown
-materials/textures/Drone.png                                unknown
+materials/textures/Drone.png                                Benjamin de Capitani
 materials/textures/DuBall1.jpg                              unknown
 materials/textures/DuBall2.jpg                              unknown
 materials/textures/explosion3.tga                           unknown
 materials/textures/explosion.tga                            unknown
-materials/textures/eye.tga                                  unknown
+materials/textures/eye.tga                                  Eric Beier and Benedict Simlinger
 materials/textures/final_gold.tga                           unknown
 materials/textures/flare2_1.tga                             unknown
 materials/textures/flare2.tga                               unknown
 materials/textures/flare.tga                                unknown
-materials/textures/flare3.tga                               unknown
+materials/textures/flare3.tga                               David Gassner
 materials/textures/flaretrail.tga                           unknown
-materials/textures/Formation.png                            unknown
+materials/textures/Formation.png                            Benjamin de Capitani
 ghost_complete-texture_Cube.jpg                             unknown
 materials/textures/glass01.jpg                              unknown
@@ -328,5 +328,5 @@
 materials/textures/hs-w01s.tga                              unknown
 materials/textures/hs-w01.tga                               unknown
-materials/textures/hs-w01_reduced.png                       unknown
+materials/textures/hs-w01_reduced.png                       Benjamin de Capitani
 materials/textures/iceplanet.tga                            unknown
 materials/textures/jumpturbinepickup.jpg                    unknown
@@ -357,5 +357,5 @@
 materials/textures/OrxonoxRED.tga                           unknown
 materials/textures/OrxonoxYELLOW.tga                        unknown
-materials/textures/Pickups.tga                              unknown
+materials/textures/Pickups.tga                              Benjamin de Capitani
 materials/textures/pirate.jpg                               unknown
 materials/textures/planet.jpg                               unknown
@@ -379,5 +379,5 @@
 materials/textures/Sepia1D.tga                              unknown
 materials/textures/sewer_001.png                            unknown
-materials/textures/shield.tga                               unknown
+materials/textures/shield.tga                               Eric Beier and Benedict Simlinger
 materials/textures/skypanoramagen1_bk.jpg                   unknown
 materials/textures/skypanoramagen1_dn.jpg                   unknown
@@ -414,5 +414,5 @@
 materials/textures/smoke2.tga                               unknown
 materials/textures/smoke3.tga                               unknown
-materials/textures/smoke4.tga                               unknown
+materials/textures/smoke4.tga                               Gion-Andri Cantieni
 materials/textures/smokecolors.tga                          unknown
 materials/textures/smoke.tga                                unknown
@@ -434,5 +434,5 @@
 materials/textures/stockstealth.jpeg                        unknown
 materials/textures/streak.tga                               unknown
-materials/textures/swallow_tex.tga                          unknown
+materials/textures/swallow_tex.tga                          David Gassner
 materials/textures/tdc.tga                                  unknown
 materials/textures/texture.jpg                              unknown