Index: /trunk/configure.ac
===================================================================
--- /trunk/configure.ac	(revision 7150)
+++ /trunk/configure.ac	(revision 7151)
@@ -635,5 +635,5 @@
                  src/lib/particles/Makefile
                  src/lib/collision_detection/Makefile
-		 src/lib/network/Makefile
+                 src/lib/network/Makefile
                  src/lib/shell/Makefile
                  src/lib/gui/Makefile
@@ -644,4 +644,5 @@
                  src/lib/parser/ini_parser/Makefile
                  src/util/Makefile
+                 src/world_entities/Makefile
                  src/subprojects/Makefile
                  src/subprojects/testmain/Makefile
Index: /trunk/src/Makefile.am
===================================================================
--- /trunk/src/Makefile.am	(revision 7150)
+++ /trunk/src/Makefile.am	(revision 7151)
@@ -2,6 +2,8 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-include world_entities/Makefile.am
+include world_entities/WorldEntities.am
 include story_entities/Makefile.am
+
+LIB_PREFIX=lib
 include lib/BuildLibs.am
 
@@ -14,8 +16,11 @@
 
 orxonox_DEPENDENCIES = \
+		world_entities/libORXwe.a \
 		util/libORXutils.a \
 		$(libORXlibs_a_LIBRARIES_)
 
-orxonox_LDADD = util/libORXutils.a \
+orxonox_LDADD = \
+		world_entities/libORXwe.a \
+		util/libORXutils.a \
 		$(libORXlibs_a_LIBRARIES_) \
 		$(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
@@ -38,5 +43,4 @@
 
 noinst_HEADERS = \
-		$(WorldEntities_HEADERS_) \
 		$(StoryEntities_HEADERS_) \
 		orxonox.h \
@@ -65,5 +69,4 @@
              proto/proto_world_entity.cc \
              defs/include_paths.am \
-             world_entities/Makefile.am \
              story_entities/Makefile.am
 
@@ -76,4 +79,5 @@
 SUBDIRS = lib \
           util \
+          world_entities \
           . \
           $(SUB_PROGS)
Index: /trunk/src/lib/BuildLibs.am
===================================================================
--- /trunk/src/lib/BuildLibs.am	(revision 7150)
+++ /trunk/src/lib/BuildLibs.am	(revision 7151)
@@ -1,3 +1,2 @@
-LIB_PREFIX=lib
 
 libORXlibs_a_LIBRARIES_ = \
Index: /trunk/src/subprojects/importer/Makefile.am
===================================================================
--- /trunk/src/subprojects/importer/Makefile.am	(revision 7150)
+++ /trunk/src/subprojects/importer/Makefile.am	(revision 7151)
@@ -2,102 +2,38 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-importer_CPPFLAGS =
+LIB_PREFIX=$(MAINSRCDIR)/lib
+include $(MAINSRCDIR)/lib/BuildLibs.am
 
-importer_LDFLAGS = $(MWINDOWS)
 
-bin_PROGRAMS =  \
+importer_LDFLAGS = \
+		$(MWINDOWS)
+
+
+bin_PROGRAMS = \
 		importer \
 		multitex \
 		movie_player_test
 
+importer_DEPENDECIES = \
+		$(MAINSRCDIR)/util/libORXutils.a \
+		$(libORXlibs_a_LIBRARIES_)
+
 importer_LDADD = \
-		$(MAINSRCDIR)/lib/network/libORXnet.a \
-		$(MAINSRCDIR)/lib/event/libORXevent.a \
-                $(MAINSRCDIR)/lib/parser/tinyxml/libtinyxml.a \
-                $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
-                $(MAINSRCDIR)/lib/shell/libORXshell.a \
-		$(MAINSRCDIR)/lib/sound/libORXsound.a \
-		$(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
-		$(MAINSRCDIR)/lib/graphics/importer/libtc.a
+		$(MAINSRCDIR)/util/libORXutils.a \
+		$(libORXlibs_a_LIBRARIES_)
 
 importer_SOURCES= \
 		../framework.cc \
-                importer.cc \
-                $(MAINSRCDIR)/util/state.cc \
-                $(MAINSRCDIR)/world_entities/camera.cc \
-                $(MAINSRCDIR)/lib/lang/base_object.cc \
-                $(MAINSRCDIR)/lib/lang/class_list.cc \
-                $(MAINSRCDIR)/lib/math/vector.cc \
-                $(MAINSRCDIR)/lib/math/quaternion.cc \
-                $(MAINSRCDIR)/util/loading/resource_manager.cc \
-                $(MAINSRCDIR)/lib/parser/ini_parser/ini_parser.cc \
-                $(MAINSRCDIR)/lib/coord/p_node.cc \
-                $(MAINSRCDIR)/util/loading/load_param.cc \
-                $(MAINSRCDIR)/util/loading/load_param_description.cc \
-                $(MAINSRCDIR)/lib/util/helper_functions.cc \
-                $(MAINSRCDIR)/lib/util/substring.cc \
-                $(MAINSRCDIR)/lib/util/color.cc \
-                $(MAINSRCDIR)/lib/util/multi_type.cc \
-                $(MAINSRCDIR)/lib/util/executor/executor.cc \
-                $(MAINSRCDIR)/util/loading/factory.cc
+		importer.cc \
+		$(MAINSRCDIR)/world_entities/camera.cc
 
-
-
-multitex_LDADD = \
-		$(MAINSRCDIR)/lib/event/libORXevent.a \
-		$(MAINSRCDIR)/lib/network/libORXnet.a \
-                $(MAINSRCDIR)/lib/parser/tinyxml/libtinyxml.a \
-                $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
-                $(MAINSRCDIR)/lib/shell/libORXshell.a \
-                $(MAINSRCDIR)/lib/sound/libORXsound.a \
-                $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
 
 multitex_SOURCES= \
 		../framework.cc \
                 multitex.cc \
-                $(MAINSRCDIR)/util/state.cc \
-                $(MAINSRCDIR)/world_entities/camera.cc \
-                $(MAINSRCDIR)/lib/lang/base_object.cc \
-                $(MAINSRCDIR)/lib/lang/class_list.cc \
-                $(MAINSRCDIR)/lib/math/vector.cc \
-                $(MAINSRCDIR)/lib/math/quaternion.cc \
-                $(MAINSRCDIR)/util/loading/resource_manager.cc \
-                $(MAINSRCDIR)/lib/parser/ini_parser/ini_parser.cc \
-                $(MAINSRCDIR)/lib/coord/p_node.cc \
-                $(MAINSRCDIR)/util/loading/load_param.cc \
-                $(MAINSRCDIR)/util/loading/load_param_description.cc \
-                $(MAINSRCDIR)/lib/util/helper_functions.cc \
-                $(MAINSRCDIR)/lib/util/substring.cc \
-                $(MAINSRCDIR)/lib/util/color.cc \
-                $(MAINSRCDIR)/lib/util/multi_type.cc \
-                $(MAINSRCDIR)/lib/util/executor/executor.cc \
-                $(MAINSRCDIR)/util/loading/factory.cc
-
-movie_player_test_LDADD = \
-		$(MAINSRCDIR)/lib/event/libORXevent.a \
-		$(MAINSRCDIR)/lib/network/libORXnet.a \
-		$(MAINSRCDIR)/lib/parser/tinyxml/libtinyxml.a \
-		$(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
-                $(MAINSRCDIR)/lib/shell/libORXshell.a \
-		$(MAINSRCDIR)/lib/sound/libORXsound.a \
-		$(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
+                $(MAINSRCDIR)/world_entities/camera.cc
 
 movie_player_test_SOURCES= \
 		../framework.cc \
 		movie_player_test.cc \
-		$(MAINSRCDIR)/util/state.cc \
-		$(MAINSRCDIR)/world_entities/camera.cc \
-		$(MAINSRCDIR)/lib/lang/base_object.cc \
-		$(MAINSRCDIR)/lib/lang/class_list.cc \
-		$(MAINSRCDIR)/lib/math/vector.cc \
-		$(MAINSRCDIR)/util/loading/resource_manager.cc \
-		$(MAINSRCDIR)/lib/parser/ini_parser/ini_parser.cc \
-		$(MAINSRCDIR)/lib/coord/p_node.cc \
-		$(MAINSRCDIR)/util/loading/load_param.cc \
-		$(MAINSRCDIR)/util/loading/load_param_description.cc \
-		$(MAINSRCDIR)/lib/util/helper_functions.cc \
-		$(MAINSRCDIR)/lib/util/substring.cc \
-		$(MAINSRCDIR)/lib/util/color.cc \
-		$(MAINSRCDIR)/lib/util/multi_type.cc \
-		$(MAINSRCDIR)/lib/util/executor/executor.cc \
-		$(MAINSRCDIR)/util/loading/factory.cc
+		$(MAINSRCDIR)/world_entities/camera.cc
Index: /trunk/src/util/Makefile.am
===================================================================
--- /trunk/src/util/Makefile.am	(revision 7150)
+++ /trunk/src/util/Makefile.am	(revision 7151)
@@ -11,11 +11,14 @@
 			game_rules.cc \
 			multiplayer_team_deathmatch.cc \
+			\
 			animation/animation3d.cc \
 			animation/animation.cc \
 			animation/animation_player.cc \
+			\
 			loading/resource_manager.cc \
 			loading/game_loader.cc \
 			loading/load_param.cc \
 			loading/load_param_description.cc \
+			\
 			track/pilot_node.cc \
 			track/track_manager.cc \
@@ -28,8 +31,10 @@
 			game_rules.h \
 			multiplayer_team_deathmatch.h \
+			\
 			animation/animation3d.h \
 			animation/animation.h \
 			animation/animation_player.h \
 			animation/t_animation.h \
+			\
 			loading/resource_manager.h \
 			loading/factory.h \
@@ -37,4 +42,5 @@
 			loading/load_param.h \
 			loading/load_param_description.h \
+			\
 			track/pilot_node.h \
 			track/track_manager.h \
Index: /trunk/src/world_entities/Makefile.am
===================================================================
--- /trunk/src/world_entities/Makefile.am	(revision 7150)
+++ /trunk/src/world_entities/Makefile.am	(revision 7151)
@@ -1,138 +1,52 @@
-#MAINSRCDIR=..
-#include $(MAINSRCDIR)/defs/include_paths.am
+MAINSRCDIR=..
+include $(MAINSRCDIR)/defs/include_paths.am
+include WorldEntities.am
 
-#noinst_LIBRARIES = libORXworld_entities.a
-#libORXworld_entities_a_SOURCES =
+
+noinst_LIBRARIES = libORXwe.a
 #subdirs = .
 
-WorldEntities_SOURCES_ = \
-                  world_entities/world_entity.cc \
-                  world_entities/camera.cc \
-                  world_entities/playable.cc \
-                  world_entities/player.cc \
-                  world_entities/npcs/npc.cc \
-                  world_entities/npcs/npc_test1.cc \
-                  world_entities/npcs/npc_test.cc \
-                  world_entities/npcs/ground_turret.cc \
-                  world_entities/environment.cc \
-                  world_entities/skysphere.cc \
-                  world_entities/skybox.cc \
-                  world_entities/terrain.cc \
-                  world_entities/satellite.cc \
-                  world_entities/movie_entity.cc \
-                  world_entities/recorder.cc \
-                  world_entities/character_attributes.cc \
-                  world_entities/test_entity.cc \
-		  world_entities/planet.cc \
-                  \
-                  world_entities/weapons/weapon_manager.cc \
-                  world_entities/weapons/ammo_container.cc \
-                  world_entities/weapons/weapon.cc \
-                  world_entities/weapons/test_gun.cc \
-                  world_entities/weapons/turret.cc \
-                  world_entities/weapons/aiming_turret.cc \
-                  world_entities/weapons/targeting_turret.cc \
-                  world_entities/weapons/cannon.cc \
-                  world_entities/weapons/hyperblaster.cc \
-                  world_entities/weapons/aim.cc \
-                  world_entities/weapons/crosshair.cc \
-                  \
-                  world_entities/projectiles/projectile.cc \
-                  world_entities/projectiles/bomb.cc \
-                  world_entities/projectiles/laser.cc \
-                  world_entities/projectiles/test_bullet.cc \
-                  world_entities/projectiles/rocket.cc \
-                  world_entities/projectiles/guided_missile.cc \
-                  world_entities/projectiles/hyperblast.cc \
-                  \
-                  world_entities/power_ups/power_up.cc \
-                  world_entities/power_ups/turret_power_up.cc \
-                  world_entities/power_ups/laser_power_up.cc \
-                  world_entities/power_ups/weapon_power_up.cc \
-                  world_entities/power_ups/param_power_up.cc \
-                  \
-                  world_entities/space_ships/space_ship.cc \
-                  world_entities/space_ships/helicopter.cc \
-                  world_entities/space_ships/hover.cc \
-                  world_entities/space_ships/turbine_hover.cc \
-                  world_entities/creatures/md2_creature.cc \
-                  \
-                  world_entities/spawning_point.cc \
-                  \
-                  world_entities/environments/water.cc \
-                  world_entities/environments/model_entity.cc \
-                  world_entities/environments/building.cc \
-                  \
-                  world_entities/elements/image_entity.cc \
-                  world_entities/elements/text_element.cc \
-                  \
-                  world_entities/effects/explosion.cc \
-                  world_entities/effects/lightning_bolt.cc
+## THESE ARE THE BASE CLASSES OF ALL WORLD_ENTITIES
+libORXwe_a_SOURCES = \
+		world_entity.cc \
+		\
+		camera.cc \
+		playable.cc \
+		player.cc \
+		\
+		npcs/npc.cc \
+		\
+		weapons/weapon_manager.cc \
+		weapons/weapon.cc \
+		weapons/ammo_container.cc \
+		projectiles/projectile.cc \
+		\
+		power_ups/power_up.cc \
+		\
+		spawning_point.cc
 
 
-WorldEntities_HEADERS_ = \
-                 world_entities/world_entity.h \
-                 world_entities/camera.h \
-                 world_entities/extendable.h \
-                 world_entities/playable.h \
-                 world_entities/player.h \
-                 world_entities/npcs/npc.h \
-                 world_entities/npcs/npc_test.h \
-                 world_entities/npcs/npc_test1.h \
-                 world_entities/npcs/ground_turret.h \
-                 world_entities/environment.h \
-                 world_entities/skysphere.h \
-                 world_entities/skybox.h \
-                 world_entities/terrain.h \
-                 world_entities/satellite.h \
-                 world_entities/movie_entity.h \
-                 world_entities/recorder.h \
-                 world_entities/character_attributes.h \
-                 world_entities/test_entity.h \
-                 world_entities/planet.h \
-                 \
-                 world_entities/weapons/weapon_manager.h \
-                 world_entities/weapons/ammo_container.h \
-                 world_entities/weapons/weapon.h \
-                 world_entities/weapons/test_gun.h \
-                 world_entities/weapons/cannon.h \
-                 world_entities/weapons/hyperblaster.h \
-                 world_entities/weapons/turret.h \
-                 world_entities/weapons/aiming_turret.h \
-                 world_entities/weapons/targeting_turret.h \
-                 world_entities/weapons/aim.h \
-                 world_entities/weapons/crosshair.h \
-                 \
-                 world_entities/projectiles/projectile.h \
-                 world_entities/projectiles/bomb.h \
-                 world_entities/projectiles/laser.h \
-                 world_entities/projectiles/test_bullet.h \
-                 world_entities/projectiles/rocket.h \
-                 world_entities/projectiles/guided_missile.h \
-                 world_entities/projectiles/hyperblast.h \
-                 \
-                 world_entities/power_ups/power_up.h \
-                 world_entities/power_ups/turret_power_up.h \
-                 world_entities/power_ups/laser_power_up.h \
-                 world_entities/power_ups/param_power_up.h \
-                 world_entities/power_ups/weapon_power_up.h \
-                 \
-                 world_entities/space_ships/space_ship.h \
-                 world_entities/space_ships/helicopter.h \
-                 world_entities/space_ships/hover.h \
-                 world_entities/space_ships/turbine_hover.h \
-                 world_entities/creatures/md2_creature.h \
-                 \
-                 world_entities/spawning_point.h \
-                 \
-                 world_entities/environments/water.h \
-                 world_entities/environments/model_entity.h \
-                 world_entities/environments/building.h \
-                 \
-                 world_entities/elements/image_entity.h \
-                 world_entities/elements/text_element.h \
-                 \
-                 world_entities/effects/explosion.h \
-                 world_entities/effects/lightning_bolt.h
+noinst_HEADERS  = \
+		world_entity.h \
+		\
+		camera.h \
+		extendable.h \
+		playable.h \
+		player.h \
+		\
+		npcs/npc.h \
+		\
+		weapons/weapon_manager.h \
+		weapons/weapon.h \
+		weapons/ammo_container.h \
+		projectiles/projectile.h \
+		\
+		power_ups/power_up.h \
+		\
+		spawning_point.h
+		\
+		\
+		$(WorldEntities_HEADERS_)
 
 
+EXTRA_DIST = WorldEntities.am
Index: /trunk/src/world_entities/WorldEntities.am
===================================================================
--- /trunk/src/world_entities/WorldEntities.am	(revision 7151)
+++ /trunk/src/world_entities/WorldEntities.am	(revision 7151)
@@ -0,0 +1,106 @@
+## THE SUBCLASSES. THESE MUST BE DYNAMICALLY LINKED OR COMPILED IN DIRECTLY
+WorldEntities_SOURCES_ = \
+		world_entities/npcs/npc_test1.cc \
+		world_entities/npcs/npc_test.cc \
+		world_entities/npcs/ground_turret.cc \
+		world_entities/environment.cc \
+		world_entities/skysphere.cc \
+		world_entities/skybox.cc \
+		world_entities/terrain.cc \
+		world_entities/satellite.cc \
+		world_entities/movie_entity.cc \
+		world_entities/recorder.cc \
+		world_entities/character_attributes.cc \
+		world_entities/test_entity.cc \
+		world_entities/planet.cc \
+		\
+		world_entities/weapons/test_gun.cc \
+		world_entities/weapons/turret.cc \
+		world_entities/weapons/aiming_turret.cc \
+		world_entities/weapons/targeting_turret.cc \
+		world_entities/weapons/cannon.cc \
+		world_entities/weapons/hyperblaster.cc \
+		world_entities/weapons/aim.cc \
+		world_entities/weapons/crosshair.cc \
+		\
+		world_entities/projectiles/bomb.cc \
+		world_entities/projectiles/laser.cc \
+		world_entities/projectiles/test_bullet.cc \
+		world_entities/projectiles/rocket.cc \
+		world_entities/projectiles/guided_missile.cc \
+		world_entities/projectiles/hyperblast.cc \
+		\
+		world_entities/power_ups/turret_power_up.cc \
+		world_entities/power_ups/laser_power_up.cc \
+		world_entities/power_ups/weapon_power_up.cc \
+		world_entities/power_ups/param_power_up.cc \
+		\
+		world_entities/space_ships/space_ship.cc \
+		world_entities/space_ships/helicopter.cc \
+		world_entities/space_ships/hover.cc \
+		world_entities/space_ships/turbine_hover.cc \
+		world_entities/creatures/md2_creature.cc \
+		\
+		\
+		world_entities/environments/water.cc \
+		world_entities/environments/model_entity.cc \
+		world_entities/environments/building.cc \
+		\
+		world_entities/elements/image_entity.cc \
+		world_entities/elements/text_element.cc \
+		\
+		world_entities/effects/explosion.cc \
+		world_entities/effects/lightning_bolt.cc
+
+
+WorldEntities_HEADERS_ = \
+		npcs/npc_test.h \
+		npcs/npc_test1.h \
+		npcs/ground_turret.h \
+		environment.h \
+		skysphere.h \
+		skybox.h \
+		terrain.h \
+		satellite.h \
+		movie_entity.h \
+		recorder.h \
+		character_attributes.h \
+		test_entity.h \
+		planet.h \
+		\
+		weapons/test_gun.h \
+		weapons/cannon.h \
+		weapons/hyperblaster.h \
+		weapons/turret.h \
+		weapons/aiming_turret.h \
+		weapons/targeting_turret.h \
+		weapons/aim.h \
+		weapons/crosshair.h \
+		\
+		projectiles/bomb.h \
+		projectiles/laser.h \
+		projectiles/test_bullet.h \
+		projectiles/rocket.h \
+		projectiles/guided_missile.h \
+		projectiles/hyperblast.h \
+		\
+		power_ups/turret_power_up.h \
+		power_ups/laser_power_up.h \
+		power_ups/param_power_up.h \
+		power_ups/weapon_power_up.h \
+		\
+		space_ships/space_ship.h \
+		space_ships/helicopter.h \
+		space_ships/hover.h \
+		space_ships/turbine_hover.h \
+		creatures/md2_creature.h \
+		\
+		environments/water.h \
+		environments/model_entity.h \
+		environments/building.h \
+		\
+		elements/image_entity.h \
+		elements/text_element.h \
+		\
+		effects/explosion.h \
+		effects/lightning_bolt.h