Index: code/branches/presentation3/cmake/tools/GenerateToluaBindings.cmake
===================================================================
--- code/branches/presentation3/cmake/tools/GenerateToluaBindings.cmake	(revision 7151)
+++ code/branches/presentation3/cmake/tools/GenerateToluaBindings.cmake	(revision 7152)
@@ -66,10 +66,10 @@
   ADD_CUSTOM_COMMAND(
     OUTPUT ${_tolua_cxxfile} ${_tolua_hfile}
-    COMMAND tolua++app_orxonox -n ${_tolua_package}
-                               -w ${CMAKE_CURRENT_SOURCE_DIR}
-                               -o ${_tolua_cxxfile}
-                               -H ${_tolua_hfile}
-                               -s ${TOLUA_PARSER_SOURCE}
-                                  ${_tolua_pkgfile}
+    COMMAND toluaapp_orxonox -n ${_tolua_package}
+                             -w ${CMAKE_CURRENT_SOURCE_DIR}
+                             -o ${_tolua_cxxfile}
+                             -H ${_tolua_hfile}
+                             -s ${TOLUA_PARSER_SOURCE}
+                                ${_tolua_pkgfile}
     DEPENDS           ${TOLUA_PARSER_DEPENDENCIES}
     IMPLICIT_DEPENDS  ${_implicit_dependencies}
Index: code/branches/presentation3/src/external/ceguilua/CMakeLists.txt
===================================================================
--- code/branches/presentation3/src/external/ceguilua/CMakeLists.txt	(revision 7151)
+++ code/branches/presentation3/src/external/ceguilua/CMakeLists.txt	(revision 7152)
@@ -56,10 +56,10 @@
 ADD_CUSTOM_COMMAND(
   OUTPUT ${CEGUILUA_BINARY_DIR}/${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
-  COMMAND tolua++app_orxonox -n CEGUI
-                             -w ${CEGUILUA_BINARY_DIR}
-                             -o ${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
-                             -L exceptions.lua
-                             -s ${TOLUA_PARSER_SOURCE}
-                                CEGUI.pkg
+  COMMAND toluaapp_orxonox -n CEGUI
+                           -w ${CEGUILUA_BINARY_DIR}
+                           -o ${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
+                           -L exceptions.lua
+                           -s ${TOLUA_PARSER_SOURCE}
+                              CEGUI.pkg
   DEPENDS              ${TOLUA_PARSER_DEPENDENCIES}
   WORKING_DIRECTORY    ${RUNTIME_LIBRARY_DIRECTORY}
@@ -79,5 +79,5 @@
     ${CEGUI_VERSION}
   LINK_LIBRARIES
-    tolua++_orxonox
+    tolua_orxonox
     ${LUA_LIBRARIES}
     ${CEGUI_LIBRARY}
Index: code/branches/presentation3/src/external/tinyxml/CMakeLists.txt
===================================================================
--- code/branches/presentation3/src/external/tinyxml/CMakeLists.txt	(revision 7151)
+++ code/branches/presentation3/src/external/tinyxml/CMakeLists.txt	(revision 7152)
@@ -18,5 +18,5 @@
  #
 
-SET_SOURCE_FILES(TINYXML++_FILES
+SET_SOURCE_FILES(TINYXML_FILES
   ticpp.h
   ticpprc.h
@@ -33,5 +33,5 @@
 )
 
-ORXONOX_ADD_LIBRARY(tinyxml++_orxonox
+ORXONOX_ADD_LIBRARY(tinyxml_orxonox
   ORXONOX_EXTERNAL
   NO_DLL_INTERFACE
@@ -39,4 +39,4 @@
     2.5.3
   SOURCE_FILES
-    ${TINYXML++_FILES}
+    ${TINYXML_FILES}
 )
Index: code/branches/presentation3/src/external/tolua/CMakeLists.txt
===================================================================
--- code/branches/presentation3/src/external/tolua/CMakeLists.txt	(revision 7151)
+++ code/branches/presentation3/src/external/tolua/CMakeLists.txt	(revision 7152)
@@ -20,5 +20,5 @@
 ################### Tolua++ library ###################
 
-SET_SOURCE_FILES(TOLUA++_FILES
+SET_SOURCE_FILES(TOLUA_FILES
   tolua_event.h
   tolua++.h
@@ -32,5 +32,5 @@
 )
 
-ORXONOX_ADD_LIBRARY(tolua++_orxonox
+ORXONOX_ADD_LIBRARY(tolua_orxonox
   ORXONOX_EXTERNAL
   DEFINE_SYMBOL
@@ -41,5 +41,5 @@
     ${LUA_LIBRARIES}
   SOURCE_FILES
-    ${TOLUA++_FILES}
+    ${TOLUA_FILES}
 )
 
@@ -47,5 +47,5 @@
 ################## Tolua++ generator ##################
 
-ORXONOX_ADD_EXECUTABLE(tolua++app_orxonox
+ORXONOX_ADD_EXECUTABLE(toluaapp_orxonox
   ORXONOX_EXTERNAL
   VERSION
@@ -61,5 +61,5 @@
 SET(TOLUA_PARSER_SOURCE "${CMAKE_CURRENT_SOURCE_DIR}/all-${LUA_VERSION}.lua" CACHE INTERNAL "")
 SET(TOLUA_PARSER_DEPENDENCIES
-  tolua++app_orxonox
+  toluaapp_orxonox
   ${CMAKE_CURRENT_SOURCE_DIR}/all-${LUA_VERSION}.lua
   ${CMAKE_CURRENT_SOURCE_DIR}/lua/compat-5.1.lua
Index: code/branches/presentation3/src/libraries/core/CMakeLists.txt
===================================================================
--- code/branches/presentation3/src/libraries/core/CMakeLists.txt	(revision 7151)
+++ code/branches/presentation3/src/libraries/core/CMakeLists.txt	(revision 7152)
@@ -110,6 +110,6 @@
     ogreceguirenderer_orxonox
     ois_orxonox
-    tinyxml++_orxonox
-    tolua++_orxonox
+    tinyxml_orxonox
+    tolua_orxonox
     util
   SOURCE_FILES
Index: code/branches/presentation3/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/presentation3/src/orxonox/CMakeLists.txt	(revision 7151)
+++ code/branches/presentation3/src/orxonox/CMakeLists.txt	(revision 7152)
@@ -77,6 +77,6 @@
     ${VORBIS_LIBRARY}
     ${OGG_LIBRARY}
-    tinyxml++_orxonox
-    tolua++_orxonox
+    tinyxml_orxonox
+    tolua_orxonox
     bullet_orxonox
     util