Index: /trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- /trunk/src/subprojects/collision_detection/Makefile.am	(revision 7155)
+++ /trunk/src/subprojects/collision_detection/Makefile.am	(revision 7156)
@@ -2,42 +2,45 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
+LIB_PREFIX=$(MAINSRCDIR)/lib
+include $(MAINSRCDIR)/lib/BuildLibs.am
+
+
+importer_LDFLAGS = \
+		$(MWINDOWS)
 
 bin_PROGRAMS = collision
 
-collision_LDADD = $(MAINSRCDIR)/util/libORXutils.a \
-                  $(MAINSRCDIR)/lib/physics/libORXphysics.a \
-                  $(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
-                  $(MAINSRCDIR)/lib/libORXlibs.a \
-                  $(MAINSRCDIR)/lib/physics/libORXphysics.a \
-                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
-                  $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
-                  $(MAINSRCDIR)/lib/shell/libORXshell.a \
-                  $(MAINSRCDIR)/lib/event/libORXevent.a \
-                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
-                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
-                  $(MAINSRCDIR)/lib/graphics/spatial_separation/libORXquadtree.a \
-                  $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
+DEPENDENCIES = \
+		$(MAINSRCDIR)/world_entities/libORXwe.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/util/libORXutils.a
+
+LDADD = \
+		$(MAINSRCDIR)/util/libORXutils.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/world_entities/libORXwe.a \
+		$(libORXlibs_a_LIBRARIES_) \
+		$(MAINSRCDIR)/util/libORXutils.a \
+		$(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
+
+importer_SOURCES= \
+		../framework.cc \
+		importer.cc \
+		$(MAINSRCDIR)/world_entities/space_ships/space_ship.cc \
+		$(MAINSRCDIR)/world_entities/weapons/test_gun.cc
 
 
-collision_CPPFLAGS =  -DGUI_MODULE   \
-                      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
+collision_CPPFLAGS =  \
+		-DGUI_MODULE   \
+		$(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
-collision_SOURCES= ../framework.cc \
-                   collision_detection.cc \
-                   \
-                   $(MAINSRCDIR)/lib/util/helper_functions.cc \
-                   $(MAINSRCDIR)/lib/util/substring.cc \
-                   $(MAINSRCDIR)/lib/parser/ini_parser/ini_parser.cc \
-                   $(MAINSRCDIR)/lib/lang/base_object.cc \
-                   $(MAINSRCDIR)/lib/lang/class_list.cc \
-                   $(MAINSRCDIR)/lib/math/vector.cc \
-                   $(MAINSRCDIR)/lib/util/color.cc \
-                   $(MAINSRCDIR)/lib/coord/p_node.cc \
-                   $(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc \
-                   \
-                   $(MAINSRCDIR)/world_entities/world_entity.cc \
-                   $(MAINSRCDIR)/world_entities/camera.cc \
-                   collision_test_entity.cc
+collision_SOURCES= \
+		../framework.cc \
+		collision_detection.cc \
+		collision_test_entity.cc \
+		\
+		$(MAINSRCDIR)/world_entities/space_ships/space_ship.cc \
+		$(MAINSRCDIR)/world_entities/weapons/test_gun.cc
 
 noinst_HEADERS  =  collision_test_entity.h
Index: /trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- /trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 7155)
+++ /trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 7156)
@@ -28,5 +28,5 @@
 #include "model.h"
 #include "collision_test_entity.h"
-
+#include "list.h"
 
 #include "graphics_engine.h"
Index: /trunk/src/subprojects/importer/Makefile.am
===================================================================
--- /trunk/src/subprojects/importer/Makefile.am	(revision 7155)
+++ /trunk/src/subprojects/importer/Makefile.am	(revision 7156)
@@ -12,13 +12,13 @@
 bin_PROGRAMS = \
 		importer \
-		multitex \
-		movie_player_test
+		multitex
+# 		movie_player_test
 
-importer_DEPENDECIES = \
+DEPENDENCIES = \
 		$(MAINSRCDIR)/world_entities/libORXwe.a \
 		$(libORXlibs_a_LIBRARIES_) \
 		$(MAINSRCDIR)/util/libORXutils.a
 
-importer_LDADD = \
+LDADD = \
 		$(MAINSRCDIR)/util/libORXutils.a \
 		$(libORXlibs_a_LIBRARIES_) \
@@ -37,8 +37,10 @@
 		../framework.cc \
                 multitex.cc \
-                $(MAINSRCDIR)/world_entities/camera.cc
+		$(MAINSRCDIR)/world_entities/space_ships/space_ship.cc \
+		$(MAINSRCDIR)/world_entities/weapons/test_gun.cc
 
-movie_player_test_SOURCES= \
-		../framework.cc \
-		movie_player_test.cc \
-		$(MAINSRCDIR)/world_entities/camera.cc
+# movie_player_test_SOURCES= \
+# 		../framework.cc \
+# 		movie_player_test.cc \
+# 		$(MAINSRCDIR)/world_entities/space_ships/space_ship.cc \
+# 		$(MAINSRCDIR)/world_entities/weapons/test_gun.cc